Bug 66025 - DFG non-speculative JIT does not inline the double case of ValueAdd
Summary: DFG non-speculative JIT does not inline the double case of ValueAdd
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 17:50 PDT by Filip Pizlo
Modified: 2011-10-13 02:23 PDT (History)
3 users (show)

See Also:


Attachments
the patch (13.86 KB, patch)
2011-08-10 17:57 PDT, Filip Pizlo
no flags Details | Formatted Diff | Diff
the patch (fix review) (13.92 KB, patch)
2011-08-17 14:00 PDT, Filip Pizlo
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Filip Pizlo 2011-08-10 17:50:14 PDT
The DFG non-speculative JIT always performs a C call for ValueAdd if the operands are doubles.  It should inline the double case.
Comment 1 Filip Pizlo 2011-08-10 17:57:58 PDT
Created attachment 103564 [details]
the patch

1.3% win on Kraken overall with >=8% speed-ups on three benchmarks.  Neutral on SunSpider, V8.
Comment 2 Gavin Barraclough 2011-08-17 10:14:42 PDT
Comment on attachment 103564 [details]
the patch

done2 is a kinda weak name.  A full name would be something like valueAddDidConvertDoubleToInteger? - maybe that's a little long. ;-)  But something more descriptive than done2 might me nice.  Otherwise looks great, r+.
Comment 3 Filip Pizlo 2011-08-17 14:00:49 PDT
Created attachment 104234 [details]
the patch (fix review)

I went with doneCaseConvertedToInt and doneCaseWasNumber.
Comment 4 WebKit Review Bot 2011-08-18 02:14:07 PDT
Comment on attachment 104234 [details]
the patch (fix review)

Rejecting attachment 104234 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
rce/WebCore/ChangeLog
Auto-merging Source/WebCore/editing/InsertTextCommand.cpp
Failed to merge in the changes.
Patch failed at 0001 Remove arguments from CloseEvent::create().

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 146.

Full output: http://queues.webkit.org/results/9421491
Comment 5 Filip Pizlo 2011-08-18 17:19:36 PDT
Landed manually in r93375: 
http://trac.webkit.org/changeset/93375
Comment 6 Eric Seidel (no email) 2011-09-06 15:28:43 PDT
Comment on attachment 103564 [details]
the patch

Cleared Gavin Barraclough's review+ from obsolete attachment 103564 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 7 Gavin Barraclough 2011-10-13 02:23:53 PDT
The DFG non-speculative JIT has been removed.